import AbreCam
import Actions
import AniSound
import Auras
import AuxFuncs
import B3DLib
import BInput
import Bladex
import Breakings
import Button
import CharStats
import Damage
import dust
import darfuncs
import DMusic
import Doors
import EnemyTypes
import GameText
import GenFX
import GotoMapVars
import ItemTypes
import LavaDefDamage
import LevelFuncs
import Levers
import Locks
import math
import MusicTool
import NetSounds
import Objects
import ObjStore
import OnOff
import Ontake
import pocimac
import Raster
import ReadGSFile
import Reference
import Scorer
import Sounds
import Sparks
import Stars
import storm
import string
import Torchs
import Water
import whrandom
import Enm_Gen
import Basic_Funcs
import Traps_C
import EnmGenRnd
import stone
import heavyObjects
import Room
import ScriptSkip
import Language
import Menu
import Change
import Gems
import Arrows
import BUIx
import Select
import CharData
import Actions
import Enm_Def

#########
##INTRO##
#########

def intro():
    Bladex.KillMusic()
    Bladex.AddScheduledFunc(Bladex.GetTime(), Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("Intro"),))
    Scorer.SetVisible(0)
    AbreCam.ResetNode()
    AbreCam.AddNode ( (2511, -888, 4223),(1444, -1517, -5700), 3)
    AbreCam.AddNode ( (2547, -1552, -4522),(1636, -591, -14434), 2)
    GameText.WriteTextAux(("Un ataque orco!!!Ayuda!!!"), 6.0, 120,120,120,[],50)   
    AbreCam.LastTime=0
    AbreCam.AbreCam()

#####################
####INTRO CUARTEL####
#####################
       
def camaracuartel():
    Scorer.SetVisible(0)
    AbreCam.ResetNode()
    AbreCam.AddNode ( (47298, -3131, -81732),(45232, 1076, -90566), 20)
    AbreCam.AddNode ( (47298, -3131, -81732),(45232, 1076, -90566), 20)
    AbreCam.AddNode ( (46535, -2324, -79598),(37131, -1052, -82750), 20)
    AbreCam.AddNode ( (39282, -2373, -78378),(29289, -2006, -78336), 20)   
    AbreCam.AddNode ( (35314, -2699, -77648),(38692, -4459, -68402), 10) 
    AbreCam.LastTime=0
    AbreCam.AbreCam()

def guardia01():
    GameText.WriteTextAux(("Mortimor,jefe de la guardia:\nZarandaur!,gracias a Ianna!,menos mal que has llegado,han ocurrido muchas cosas."), 6.0, 120,120,120,[],20)   

def Zarandaur01():
    GameText.WriteTextAux(("Zarandaur:\nQue ha ocurrido?Donde est mi padre??"), 6.0, 120,0,0,[],20)      

def guardia02():
    GameText.WriteTextAux(("Mortimor,jefe de la guardia:\nEn plena noche escuchamos los tambores de guerra orcos,\nsalimos a ver que ocurria y \nvimos a Sargon salir...."), 6.0, 120,120,120,[],20)   

def Zarandaur02():
    GameText.WriteTextAux(("Zarandaur:\nY que dijo??"), 6.0, 120,0,0,[],20)   

def guardia03():
    GameText.WriteTextAux(("Mortimor,jefe de la guardia:\nDijo que intentaria evitar el ataque..."), 6.0, 120,120,120,[],20) 

def Zarandaur03():
    GameText.WriteTextAux(("Zarandaur:\nVoy a buscarlo!!"), 6.0, 120,0,0,[],20) 

def guardia04():
    GameText.WriteTextAux(("Mortimor,jefe de la guardia:\nTambien dijo que no te dejaramos ir \nsin que entraras en su templo."), 6.0, 120,120,120,[],20)

def Zarandaur04():
    GameText.WriteTextAux(("Zarandaur:\nComo voy a entrar en su templo?"), 6.0, 120,0,0,[],20)  

def guardia05():
    GameText.WriteTextAux(("Mortimor,jefe de la guardia:\nDesde el tejado del cuartel puedes acceder.\nLuego podras irte"), 6.0, 120,120,120,[],20) 

def Zarandaur05():
    GameText.WriteTextAux(("Zarandaur:\nDe acuerdo,regresar..."), 6.0, 120,0,0,[],20)

def ir1():
    pj=Bladex.GetEntity('Player1')
    pj.GoToJogging=0
    pj.GoTo (28122.6, -1117.0, -76001.6) 

def puertacuartel():
    o=Bladex.CreateEntity("PuenteFernando_385","PuenteFernando",43269.736583,-197.410595921,-80055.7028806, Reference.ObjType("PuenteFernando"))
    o.Scale=0.4
    o.Orientation=(0.707106769085,0.0,-0.707106769085,0.0)
    o=Bladex.CreateEntity("Caja_i_i_599","Caja_i_i",52804.8914546,-806.059338832,-89824.7991572, Reference.ObjType("Caja_i_i"))
    o.Scale=1.6
    o.Orientation=(0.0,1.0,2.35608048627e-008,1.49011611938e-008)
    o=Bladex.CreateEntity("Caja_i_i_600","Caja_i_i",54416.0434302,-805.276653582,-90050.3546501, Reference.ObjType("Caja_i_i"))
    o.Scale=1.6
    o.Orientation=(0.0,0.919794440269,0.00202436372638,-0.392395287752)
    o=Bladex.CreateEntity("Caja_i_i_601","Caja_i_i",53596.1199278,-2399.269668,-89769.2185912, Reference.ObjType("Caja_i_i"))
    o.Scale=1.6
    o.Orientation=(0.991444885731,0.0,0.130526185036,0.0)
    o=Bladex.CreateEntity("Caja_i_i_602","Caja_i_i",53327.3436304,-809.078086007,-90733.3545666, Reference.ObjType("Caja_i_i"))
    o.Scale=1.6
    o.Orientation=(1.0,0.0,0.0,0.0)

def intro02(SectorIndex,Entity_Name):	
    if (Entity_Name!="Player1") : return	
    Bladex.KillMusic()
    global cuartel	
    cuartel.OnEnter=None
    Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, camaracuartel, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 1.0, guardia01, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 9.0, Zarandaur01, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 18.0, guardia02, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 27.0, Zarandaur02, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 36.0, guardia03, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 45.0, Zarandaur03, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 54.0, guardia04, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 63.0, Zarandaur04, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 72.0, guardia05, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 81.0, Zarandaur05, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 81.0, ir1, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 86.0, puertacuartel, ())

######################
##ENTRA EN EL TEMPLO##
######################

def puerta(SectorIndex,Entity_Name):	
    if (Entity_Name!="Player1") : return	
    fuera1=Bladex.GetEntity("Rastrillo2_391")
    fuera1.SubscribeToList("Pin")
    fuera2=Bladex.GetEntity("Rastrillo2_389")
    fuera2.SubscribeToList("Pin")
    fuera3=Bladex.GetEntity("Rastrillo2_392")
    fuera3.SubscribeToList("Pin")
    fuera4=Bladex.GetEntity("Rastrillo2_393")
    fuera4.SubscribeToList("Pin")
    global tmp	
    tmp.OnEnter=None


######################
###GUARDIA MORIBUDO###
######################

def gm():
    gm=Bladex.CreateEntity("Guardia_Moribundo","Knight_Traitor",48867.7928263,8850.71118959,-203005.385175, "Person")
    gm.Data= Enm_Def.NPCPerson(gm)
    gm.Angle=0.0340634170806
    gm.Blind=1
    gm.Deaf=1
    gm.MeshName="NP_Knight"
    gm.SetOnFloor()
    gm.Data.Invincibility=2
    gm.Data.Respond2Thrown=None
    gm.Data.ChanceOfFuryOnHurt=0.0

def camaragm():
    Scorer.SetVisible(0)
    AbreCam.ResetNode()
    AbreCam.AddNode ( (52191, 6023, -198555),(45145, 10677, -203913), 10)
    AbreCam.AddNode ( (52191, 6023, -198555),(45145, 10677, -203913), 15)
    AbreCam.LastTime=0
    AbreCam.AbreCam()

def gm01():
    GameText.WriteTextAux(("Guardia Moribundo:\nZarandaur, ven, corre."), 6.0, 120,0,0,[],20)   

def gm02():
    GameText.WriteTextAux(("Guardia Moribundo:\nEs peor de lo que pensabamos...\nno es solo una patrulla...\nes toda una tribu...vienen por la cueva de los trolls...\ny tu padre ha desaparecido...\nayuda a mis hombres...\nSi te pierdes en la oscuridad guiate por el cielo..."), 15.0, 120,0,0,[],20)   

def iragm():
    pj=Bladex.GetEntity('Player1')
    pj.GoToJogging=0
    pj.GoTo (47976.5, 8886.7, -198675.6) 

def anigm():
    deadwar=Bladex.GetEntity("Guardia_Moribundo")
    deadwar.LaunchAnmType("Kgt_dth_escena_agonia")

def muere():
    deadwar=Bladex.GetEntity("Guardia_Moribundo")
    deadwar.Freeze()
    deadwar.Life=0

def dgm(SectorIndex,Entity_Name):	
    if (Entity_Name!="Player1") : return	
    Bladex.KillMusic()
    Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, gm, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, camaragm, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 0.1, anigm, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 3.0, gm01, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 5.0, iragm, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 10.0, gm02, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 25.0, muere, ())
    global bar	
    bar.OnEnter=None

#########
##FINAL##
#########

def camarafin():
    Scorer.SetVisible(0)
    AbreCam.ResetNode()
    AbreCam.AddNode ( (677754, -6812, -145394),(686693, -2971, -147707), 30)
    AbreCam.LastTime=0
    AbreCam.AbreCam()

def txtfin():
    GameText.WriteTextAux(("Has conseguido pasar la cueva de los trolls...\npero no solo habia trolls...\ntambien orcos y minotauros te han atacado, y la estructura\ndel barranco demuestra ms inteligencia..."), 6.0, 120,0,0,[],20)   

def txtfin2():
    GameText.WriteTextAux(("Quien estara detras de esto?\nQuien es la mente de este ataque a una pacifica ciudad?\n y sobre todo...\nDonde esta Sargon?"), 6.0, 120,0,0,[],20)   


def camfin():
    pj=Bladex.GetEntity('Player1')
    pj.GoToJogging=0
    pj.GoTo (786210.9, -5842.0, -149341.4) 

def FadeIn():
    AuxFuncs.FadeTo(4.0, 2.0)
 
def Porejemplo():
    Bladex.LoadLevel("Casa") 

def Fin():
    Bladex.AddScheduledFunc(Bladex.GetTime(), FadeIn, ()) 
    Bladex.AddScheduledFunc(Bladex.GetTime()+5.0, Porejemplo, ())

def final(SectorIndex,Entity_Name):	
    if (Entity_Name!="Player1") : return	
    Bladex.KillMusic()
    Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, camfin, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, camarafin, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, txtfin, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 10.0, txtfin2, ())
    Bladex.AddScheduledFunc(Bladex.GetTime() + 20.0, Fin, ())
    global fin	
    fin.OnEnter=None

