import darfuncs
from math import pow
import EnemyTypes
import AniSound
import Sparks
import Actions
import pocimac
import Scorer
import Bladex
import GameText

##############
###ENEMIGOS###
##############

Reference.DefaultObjectData['spd0']=Reference.DefaultObjectData['Espadafilo']
Reference.DefaultSelectionData['spd0']=(8.0,4000.0, "Sable Orco")

##orcos ataque

Bladex.ReadBitMap("modelos/iconos/Gork.bmp","iconoGork")
Reference.EnemiesDefaultScorerData['Great_Ork']=("iconoGork","Gork")
Bladex.ReadBitMap("modelos/iconos/ork.bmp","iconoork")
Reference.EnemiesDefaultScorerData['Gold_Ork']=("iconoork","ork")
Reference.EnemiesDefaultScorerData['Ork']=("iconoork","ork")

Espada1=Bladex.CreateEntity("barbEspada1","spd0",0,0,0,"Weapon")
Espada1.Scale=0.60000092833
Breakings.SetBreakableWS("barbEspada1")

KingShield2=Bladex.CreateEntity("KingShield2","Escudo9",0,0,0, "Weapon")
KingShield2.Scale=1.0
ItemTypes.ItemDefaultFuncs(KingShield2)
Sparks.MakeShield("KingShield2")

pers=Bladex.CreateEntity("1ORC","Ork",-1205.54717098, -1090.68877318, -26042.3991726,"Person")
pers.Orientation=(0.0649692714214, 0.0649647191167, 0.704128205776, -0.704103767872)
pers.Level=14
pers.SetMesh("Gold_Ork")
Actions.TakeObject(pers.Name,"barbEspada1")
Actions.TakeObject(pers.Name,"KingShield2")
EnemyTypes.EnemyDefaultFuncs(pers)
pers.SetOnFloor()

o=Bladex.CreateEntity("Great_Ork_114","Great_Ork",20002.6947319,-1167.04231802,-38183.6843176, "Person")
o.Scale=1.0
o.Angle=6.0882373484
o.Level=10
o.Life=1900.0
o.SetOnFloor()
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Espadafilo_116", "spd0", 0,0,0, "Weapon")
o.Scale=0.60000092833
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Great_Ork_114", "Espadafilo_116")
o=Bladex.CreateEntity ("Escudo9_115", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_115")
Actions.TakeObject("Great_Ork_114", "Escudo9_115")


o=Bladex.CreateEntity("Great_Ork_117","Great_Ork",21551.5844142,-1287.66520715,-71183.6589431, "Person")
o.Scale=1.0
o.Angle=6.19283562544
o.Level=10
o.Life=1900.0
o.SetOnFloor()
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Espadafilo_118", "spd0", 0,0,0, "Weapon")
o.Scale=0.60000092833
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Great_Ork_117", "Espadafilo_118")
o=Bladex.CreateEntity ("Escudo9_119", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_119")
Actions.TakeObject("Great_Ork_117", "Escudo9_119")


o=Bladex.CreateEntity("Ork_121","Ork",19937.9381378,-1170.21544834,-70795.7816818, "Person")
o.Scale=1.0
o.Angle=0.0862447097151
o.Level=10
o.SetMesh("Gold_Ork")
o.Life=1100.0
o.SetOnFloor()
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Espadafilo_122", "spd0", 0,0,0, "Weapon")
o.Scale=0.60000092833
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_121", "Espadafilo_122")
o=Bladex.CreateEntity ("Escudo9_123", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_123")
Actions.TakeObject("Ork_121", "Escudo9_123")


o=Bladex.CreateEntity("Ork_124","Ork",23014.7599871,-984.911536547,-71261.7958378, "Person")
o.Scale=1.0
o.Angle=5.76120016997
o.Level=10
o.Life=1100.0
o.SetOnFloor()
o.SetMesh("Gold_Ork")
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Espadafilo_125", "Antorcha", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_124", "Espadafilo_125")
o=Bladex.CreateEntity ("Escudo9_126", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_126")
Actions.TakeObject("Ork_124", "Escudo9_126")


################
###+ ENEMIGOS###
################

Bladex.ReadBitMap("modelos/iconos/mino.bmp","iconomino")
Reference.EnemiesDefaultScorerData['Minotaur']=("iconomino","mino")
Bladex.ReadBitMap("modelos/iconos/ork.bmp","iconoork")
Reference.EnemiesDefaultScorerData['Gold_Ork']=("iconoork","ork")
Reference.EnemiesDefaultScorerData['Ork']=("iconoork","ork")


o=Bladex.CreateEntity("Troll_Dark_544","Troll_Dark",537784.291734,-1508.31166103,-205441.415528, "Person")
o.Scale=1.0
o.Angle=0.10356222564
o.Level=19
o.Life=18800.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Mazapiedra_545", "Mazapiedra", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Troll_Dark_544", "Mazapiedra_545")


o=Bladex.CreateEntity("Ork_547","Ork",527098.993783,3810.84532542,-203498.392193, "Person")
o.Scale=1.0
o.Angle=1.39324349459
o.SetMesh("Gold_Ork")
o.Level=19
o.Life=1900.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Espadafilo_548", "spd0", 0,0,0, "Weapon")
o.Scale=0.60000092833
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_547", "Espadafilo_548")
o=Bladex.CreateEntity ("Escudo9_551", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_551")
Actions.TakeObject("Ork_547", "Escudo9_551")
o=Bladex.CreateEntity ("Pocima100_550", "Pocima100", 0,5000.1,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima100_550")
Actions.TakeObject("Ork_547", "Pocima100_550")
o=Bladex.CreateEntity ("arco1", "Arco2", 0,1000000.0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_547", "arco1")
o=Bladex.CreateEntity ("fl1", "Carcaj", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_547", "fl1")


o=Bladex.CreateEntity("Ork_552","Ork",521623.827778,8564.89821342,-194045.400474, "Person")
o.Scale=1.0
o.Angle=1.65981578703
o.SetMesh("Gold_Ork")
o.Level=19
o.Life=1900.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Espadafilo_553", "spd0", 0,0,0, "Weapon")
o.Scale=0.60000092833
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_552", "Espadafilo_553")
o=Bladex.CreateEntity ("Escudo9_554", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_554")
Actions.TakeObject("Ork_552", "Escudo9_554")
o=Bladex.CreateEntity ("Pocima100_555", "Pocima100", 0,5000.1,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima100_555")
Actions.TakeObject("Ork_552", "Pocima100_555")
o=Bladex.CreateEntity ("arco2", "Arco2", 0,1000000.0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_552", "arco2")
o=Bladex.CreateEntity ("fl2", "Carcaj", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_552", "fl2")


o=Bladex.CreateEntity("Great_Ork_556","Great_Ork",493156.609575,16712.3347975,-207810.223278, "Person")
o.Scale=1.0
o.Angle=2.33451803827
o.Level=19
o.Life=2700.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Espadafilo_557", "spd0", 0,0,0, "Weapon")
o.Scale=0.60000092833
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Great_Ork_556", "Espadafilo_557")
o=Bladex.CreateEntity ("Escudo9_558", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_558")
Actions.TakeObject("Great_Ork_556", "Escudo9_558")
o=Bladex.CreateEntity ("Pocima100_559", "Pocima100", 0,5000.1,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima100_559")
Actions.TakeObject("Great_Ork_556", "Pocima100_559")


o=Bladex.CreateEntity("Great_Ork_560","Great_Ork",470052.976888,16712.3347921,-241852.005655, "Person")
o.Scale=1.0
o.Angle=1.87297901051
o.Level=19
o.Life=2700.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Espadafilo_561", "spd0", 0,0,0, "Weapon")
o.Scale=0.60000092833
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Great_Ork_560", "Espadafilo_561")
o=Bladex.CreateEntity ("Escudo9_562", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_562")
Actions.TakeObject("Great_Ork_560", "Escudo9_562")


o=Bladex.CreateEntity("Minotaur_563","Minotaur",379762.233849,18347.5962324,-239426.392218, "Person")
o.Scale=1.0
o.Angle=0.0322086277247
o.Level=19
o.Life=28000.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Hachacarnicero_564", "Mazapiedra", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Minotaur_563", "Hachacarnicero_564")


o=Bladex.CreateEntity("Troll_Dark_567","Troll_Dark",427422.815367,8816.31726591,-143936.732798, "Person")
o.Scale=1.0
o.Angle=0.487701215719
o.Level=19
o.Life=14800.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Mazapiedra_568", "Mazapiedra", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Troll_Dark_567", "Mazapiedra_568")


o=Bladex.CreateEntity("Ork_609","Ork",436862.065998,16815.088141,-244960.906625, "Person")
o.Scale=1.0
o.Angle=0.909415671125
o.SetMesh("Gold_Ork")
o.Level=19
o.Life=1900.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Espadafilo_611", "spd0", 0,0,0, "Weapon")
o.Scale=0.60000092833
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_609", "Espadafilo_611")
o=Bladex.CreateEntity ("Escudo9_610", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_610")
Actions.TakeObject("Ork_609", "Escudo9_610")


o=Bladex.CreateEntity("Great_Ork_615","Great_Ork",538806.790367,-1287.66520253,-194449.894065, "Person")
o.Scale=1.0
o.Angle=2.06073604133
o.Level=19
o.Life=2700.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Espadafilo_616", "spd0", 0,0,0, "Weapon")
o.Scale=0.60000092833
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Great_Ork_615", "Espadafilo_616")
o=Bladex.CreateEntity ("Escudo9_617", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_617")
Actions.TakeObject("Great_Ork_615", "Escudo9_617")
o=Bladex.CreateEntity ("Pocima100_618", "Pocima100", 0,5000.1,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima100_618")
Actions.TakeObject("Great_Ork_615", "Pocima100_618")


o=Bladex.CreateEntity("Ork_619","Ork",556599.14337,3815.08814099,-224450.97328, "Person")
o.Scale=1.0
o.Angle=1.77313098915
o.SetMesh("Gold_Ork")
o.Level=19
o.Life=1900.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("EgyptSword_620", "EgyptSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_619", "EgyptSword_620")
o=Bladex.CreateEntity ("Escudo9_621", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_621")
Actions.TakeObject("Ork_619", "Escudo9_621")


o=Bladex.CreateEntity("Ork_622","Ork",525713.001727,3815.08846345,-231670.783796, "Person")
o.Scale=1.0
o.Angle=0.516373300696
o.SetMesh("Gold_Ork")
o.Level=19
o.Life=1900.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("EgyptSword_623", "EgyptSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_622", "EgyptSword_623")
o=Bladex.CreateEntity ("Escudo9_624", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_624")
Actions.TakeObject("Ork_622", "Escudo9_624")


o=Bladex.CreateEntity("Great_Ork_627","Great_Ork",528429.683188,3712.33479312,-268328.483469, "Person")
o.Scale=1.0
o.Angle=6.0768296836
o.Level=19
o.Life=2700.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("EgyptSword_628", "spd0", 0,0,0, "Weapon")
o.Scale=0.60000092833
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Great_Ork_627", "EgyptSword_628")
o=Bladex.CreateEntity ("Escudo9_629", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_629")
Actions.TakeObject("Great_Ork_627", "Escudo9_629")


o=Bladex.CreateEntity("Great_Ork_630","Great_Ork",544713.997982,-2287.66520688,-244209.211184, "Person")
o.Scale=1.0
o.Angle=4.71392497026
o.Level=19
o.Life=2700.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("EgyptSword_631", "EgyptSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Great_Ork_630", "EgyptSword_631")
o=Bladex.CreateEntity ("Escudo9_632", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_632")
Actions.TakeObject("Great_Ork_630", "Escudo9_632")


o=Bladex.CreateEntity("Troll_Dark_633","Troll_Dark",516612.432435,3816.317266,-261488.091127, "Person")
o.Scale=1.0
o.Angle=1.41367788808
o.Level=19
o.Life=14800.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Hachacarnicero_634", "Hachacarnicero", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Troll_Dark_633", "Hachacarnicero_634")


o=Bladex.CreateEntity("Salamander_647","Salamander",555352.301956,-2963.19315531,-255700.548333, "Person")
o.Scale=1.0
o.Angle=2.56574837207
o.Level=19
o.Life=2150.0
EnemyTypes.EnemyDefaultFuncs(o)


o=Bladex.CreateEntity("Salamander_648","Salamander",562911.611074,-2963.19315531,-260227.263812, "Person")
o.Scale=1.0
o.Angle=1.63379749935
o.Level=19
o.Life=2150.0
EnemyTypes.EnemyDefaultFuncs(o)


o=Bladex.CreateEntity("Salamander_649","Salamander",560596.275769,-2963.19340573,-268543.580788, "Person")
o.Scale=1.0
o.Angle=1.27030934245
o.Level=19
o.Life=2150.0
EnemyTypes.EnemyDefaultFuncs(o)


o=Bladex.CreateEntity("Ork_650","Ork",496669.495325,3815.08814111,-260646.742885, "Person")
o.Scale=1.0
o.Angle=5.18223332941
o.SetMesh("Gold_Ork")
o.Level=19
o.Life=1900.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("EgyptSword_651", "spd0", 0,0,0, "Weapon")
o.Scale=0.60000092833
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_650", "EgyptSword_651")
o=Bladex.CreateEntity ("Escudo9_652", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_652")
Actions.TakeObject("Ork_650", "Escudo9_652")
o=Bladex.CreateEntity ("PocimaTodo_653", "PocimaTodo", 0,5000.1,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("PocimaTodo_653")
Actions.TakeObject("Ork_650", "PocimaTodo_653")


o=Bladex.CreateEntity("Ork_654","Ork",495469.471403,3815.08814099,-259446.736399, "Person")
o.Scale=1.0
o.Angle=4.43872854019
o.SetMesh("Gold_Ork")
o.Level=19
o.Life=1900.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("EgyptSword_655", "spd0", 0,0,0, "Weapon")
o.Scale=0.60000092833
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_654", "EgyptSword_655")
o=Bladex.CreateEntity ("Escudo9_656", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_656")
Actions.TakeObject("Ork_654", "Escudo9_656")
o=Bladex.CreateEntity ("Pocima200_657", "Pocima200", 0,5000.1,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima200_657")
Actions.TakeObject("Ork_654", "Pocima200_657")


o=Bladex.CreateEntity("Great_Ork_659","Great_Ork",461453.773035,3712.33479215,-278155.126937, "Person")
o.Scale=1.0
o.Angle=4.68118806026
o.Level=19
o.Life=2700.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("EgyptSword_660", "EgyptSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Great_Ork_659", "EgyptSword_660")
o=Bladex.CreateEntity ("Escudo9_661", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_661")
Actions.TakeObject("Great_Ork_659", "Escudo9_661")


o=Bladex.CreateEntity("Salamander_662","Salamander",528347.921255,3036.80684469,-291422.270592, "Person")
o.Scale=1.0
o.Angle=2.32999165034
o.Level=19
o.Life=2150.0
EnemyTypes.EnemyDefaultFuncs(o)


o=Bladex.CreateEntity("Salamander_663","Salamander",529066.511705,3036.8068447,-300287.825831, "Person")
o.Scale=1.0
o.Angle=1.18833811274
o.Level=19
o.Life=2150.0
EnemyTypes.EnemyDefaultFuncs(o)


o=Bladex.CreateEntity("Ork_664","Ork",568176.886504,3815.08846345,-279184.178467, "Person")
o.Scale=1.0
o.Angle=1.5412757543
o.SetMesh("Gold_Ork")
o.Level=19
o.Life=1900.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("EgyptSword_665", "spd0", 0,0,0, "Weapon")
o.Scale=0.60000092833
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_664", "EgyptSword_665")
o=Bladex.CreateEntity ("Escudo9_667", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_667")
Actions.TakeObject("Ork_664", "Escudo9_667")


o=Bladex.CreateEntity("Ork_668","Ork",568176.886504,3815.08846374,-281984.178467, "Person")
o.Scale=1.0
o.Angle=1.51088799144
o.SetMesh("Gold_Ork")
o.Level=19
o.Life=1900.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("EgyptSword_671", "spd0", 0,0,0, "Weapon")
o.Scale=0.60000092833
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_668", "EgyptSword_671")
o=Bladex.CreateEntity ("Escudo9_670", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_670")
Actions.TakeObject("Ork_668", "Escudo9_670")
o=Bladex.CreateEntity ("Pocima100_669", "Pocima100", 0,5000.1,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima100_669")
Actions.TakeObject("Ork_668", "Pocima100_669")


o=Bladex.CreateEntity("Great_Ork_672","Great_Ork",569945.687139,3712.33479747,-281328.176668, "Person")
o.Scale=1.0
o.Angle=1.09209901161
o.Level=19
o.Life=2700.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Espadafilo_673", "spd0", 0,0,0, "Weapon")
o.Scale=0.60000092833
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Great_Ork_672", "Espadafilo_673")
o=Bladex.CreateEntity ("Escudo9_675", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_675")
Actions.TakeObject("Great_Ork_672", "Escudo9_675")
o=Bladex.CreateEntity ("PocimaTodo_674", "PocimaTodo", 0,5000.1,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("PocimaTodo_674")
Actions.TakeObject("Great_Ork_672", "PocimaTodo_674")


o=Bladex.CreateEntity("Troll_Dark_676","Troll_Dark",581479.828315,3816.31725536,-285162.075424, "Person")
o.Scale=1.0
o.Angle=1.21682644463
o.Level=19
o.Life=14800.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Mazapiedra_677", "Mazapiedra", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Troll_Dark_676", "Mazapiedra_677")


o=Bladex.CreateEntity("Troll_Dark_678","Troll_Dark",628212.317952,3816.31725536,-282863.499428, "Person")
o.Scale=1.0
o.Angle=1.74744355798
o.Level=19
o.Life=14800.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Hachacarnicero_679", "Hachacarnicero", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Troll_Dark_678", "Hachacarnicero_679")


o=Bladex.CreateEntity("Troll_Dark_680","Troll_Dark",646868.839099,3816.317266,-291002.852563, "Person")
o.Scale=1.0
o.Angle=1.18134803311
o.Level=19
o.Life=14800.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Hachacarnicero_681", "Hachacarnicero", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Troll_Dark_680", "Hachacarnicero_681")


o=Bladex.CreateEntity("Troll_Dark_682","Troll_Dark",670650.213385,3816.317266,-275707.042821, "Person")
o.Scale=1.0
o.Angle=2.99571357167
o.Level=19
o.Life=18800.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Mazapiedra_683", "Mazapiedra", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Troll_Dark_682", "Mazapiedra_683")


o=Bladex.CreateEntity("Great_Ork_684","Great_Ork",686985.680685,3712.33479312,-260266.091958, "Person")
o.Scale=1.0
o.Angle=3.4637457415
o.Level=19
o.Life=1700.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Espadafilo_685", "spd0", 0,0,0, "Weapon")
o.Scale=0.60000092833
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Great_Ork_684", "Espadafilo_685")
o=Bladex.CreateEntity ("Escudo9_686", "Escudo9", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo9_686")
Actions.TakeObject("Great_Ork_684", "Escudo9_686")
o=Bladex.CreateEntity ("PocimaTodo_687", "PocimaTodo", 0,5000.1,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("PocimaTodo_687")
Actions.TakeObject("Great_Ork_684", "PocimaTodo_687")


o=Bladex.CreateEntity("Minotaur_688","Minotaur",634000.543987,5347.59623565,-196377.596074, "Person")
o.Scale=1.0
o.Angle=2.65161641721
o.Level=19
o.Life=33000.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Mazapiedra_689", "Mazapiedra", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Minotaur_688", "Mazapiedra_689")


o=Bladex.CreateEntity("Minotaur_690","Minotaur",627614.674772,5547.59623565,-199818.386053, "Person")
o.Scale=1.0
o.Angle=3.62119115519
o.Level=19
o.Life=28000.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Hachacarnicero_691", "Hachacarnicero", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Minotaur_690", "Hachacarnicero_691")



